jQuery(document).ready(function(){
    var _body = jQuery('body');

    _body.on('click','.shop-ct-open-cart',function(){
        var data ={action:'shop_ct_show_cart'};
        if(typeof window.shopCTCartCookie !== 'undefined'){
            data.shop_ct_current_hash = window.shopCTCartCookie;
        }

	    shop_ct_popup.show('shop_ct_cart', {
		    row_content: '<p class="shop-ct-loading">Loading</p>',
		    css: {
		        height: 'auto',
		        width: 'auto',
		        maxWidth: 500,
                maxHeight: 500,
                textAlign: 'center',
            }
	    });

        jQuery.ajax({
            url: shopCTL10n.ajax_url,
            data: data,
            type: 'get',
        }).done(function(data){
            jQuery('#shop_ct_popup_window-shop_ct_cart .shop-ct-loading').replaceWith(data);
        });
        return false;
    });

    _body.on('click','.shop-ct-cart-close',function(){
        shop_ct_popup.remove('shop_ct_cart');
        return false;
    });

    _body.on('click','.shop-ct-add-to-cart',function(){
        var productId = jQuery(this).data('product-id'),
            quantity = jQuery(this).closest('form').find('input[name=shop-ct-add-to-cart-count]').val(),
            btn = jQuery(this),
            data = {
                action:'shop_ct_add_to_cart',
                product_id: productId,
                quantity: quantity,
                nonce: shopCTL10n.shop_ct_nonce
            };

        if(typeof window.shopCTCartCookie !== 'undefined'){
            data.shop_ct_current_hash = window.shopCTCartCookie;
        }

        jQuery.ajax({
            url: shopCTL10n.ajax_url,
            data: data,
            dataType : 'json',
            type : 'post',
            beforeSend: function(){
                btn.find('i').css('display','none');
                btn.find('.shop-ct-spinner').css('display','block');
                btn.attr('disabled','disabled');
            }
        }).always(function(){
            btn.removeAttr('disabled');
            btn.find('i').css('display','block');
            btn.find('.shop-ct-spinner').css('display','none');
        }).done(function(data){
            if(data.hasOwnProperty('count')) {
                if(jQuery('.shop-ct-cart-count').length && data.count){
                    jQuery('.shop-ct-cart-count').html(data.count);
                    shop_ct_popup.showToastr(shopCTL10n.cartUpdated);
                }
            } else if(data.hasOwnProperty('errorMessage')) {
                shop_ct_popup.showToastr(data.errorMessage, 'error');
            }
        });

        return false;
    });

    _body.on('click','.shop-ct-cart-delete-product',function(){
        var row = jQuery(this).closest('tr'),
            productId = row.data('product-id'),
            data = {
                action:'shop_ct_remove_from_cart',
                product_id: productId,
                nonce: shopCTL10n.shop_ct_nonce
            };

        if(typeof window.shopCTCartCookie !== 'undefined'){
            data.shop_ct_current_hash = window.shopCTCartCookie;
        }

        jQuery.ajax({
            url: shopCTL10n.ajax_url,
            data: data,
            dataType : 'json',
            type : 'post',
        }).done(function(data){
            row.remove();
            if(data.total){
                if(jQuery('.shop-ct-cart-count').length){
                    jQuery('.shop-ct-cart-count').html(data.count);
                }
                if(jQuery('.shop-ct-cart-total-value').length){
                    jQuery('.shop-ct-cart-total-value').html(data.total);
                }
                if(jQuery('.shop-ct-cart-count-n').length){
                    jQuery('.shop-ct-cart-count-n').html(data.count_n);
                }
                if(data.count === 0){
                    jQuery('.shop-ct-cart-items').replaceWith('<h2>'+shopCTL10n.emptyCart+'</h2>');
                    jQuery('.shop-ct-cart-totals').remove();
                    jQuery('.shop-ct-cart-checkout.shop-ct-button').addClass('shop-ct-disabled-link');
                }

                shop_ct_popup.showToastr(shopCTL10n.cartUpdated);
            }
        });
    });

    _body.on('change','.shop-ct-cart-product-qty',function(){
        var row = jQuery(this).closest('tr'),
            productId = row.data('product-id'),
            qty = jQuery(this).val(),
            data = {
                action:'shop_ct_change_cart_qty',
                product_id: productId,
                quantity: qty,
                nonce: shopCTL10n.shop_ct_nonce
            };

        if(typeof window.shopCTCartCookie !== 'undefined'){
            data.shop_ct_current_hash = window.shopCTCartCookie;
        }

        jQuery.ajax({
            url: shopCTL10n.ajax_url,
            data: data,
            dataType : 'json',
            type : 'post',
        }).done(function(data){
            if(data.total){
                if(jQuery('.shop-ct-cart-count').length){
                    jQuery('.shop-ct-cart-count').html(data.count);
                }
                if(jQuery('.shop-ct-cart-total-value').length){
                    jQuery('.shop-ct-cart-total-value').html(data.total);
                }
                if(jQuery('.shop-ct-cart-count-n').length){
                    jQuery('.shop-ct-cart-count-n').html(data.count_n);
                }
                if(data.count === 0){
                    jQuery('.shop-ct-cart-items').replaceWith('<h2>'+shopCTL10n.emptyCart+'</h2>');
                    jQuery('.shop-ct-cart-totals').remove();
                    jQuery('.shop-ct-cart-checkout.shop-ct-button').addClass('shop-ct-disabled-link');
                }
                shop_ct_popup.showToastr(shopCTL10n.cartUpdated);
            }
        });
        return false;
    });
});
