<?php
/**
 * @var $shop_pages array
 * @var $page_types array
 */
?>
<div id="display_add_settings_div">
    <div class="display_settings_save_divs">
        <h3><?php _e( "Shop & Product Pages", "shop_ct" ); ?></h3>
        <input type="submit" name="save_menu" class="button button-primary display_settings_save"
               value="<?php _e( 'Save Settings', 'shop_ct' ); ?>">
    </div>
    <div id="display_settings_div">
        <p><?php _e( 'From here choose which Posts or Pages you want to display', 'shop_ct' ); ?></p>
        <ul id="display_settings_list">
            <?php
            foreach ( $shop_pages as $page ) {
                // the WP_Post variable
                $post_id = $page['post_id'];
                $post    = get_post( $post_id );
                if ( $post->post_status == "trash" ) {
                    continue;
                }
                // Which resource type do we use
                $resource = $page['resource'];
                // Which object is used
                $object = $page['object'];
                ?>
                <li class="shop-post-<?php echo $post->ID; ?> post_settings_li">
                    <div class="post_item_titles">
                        <strong><?php echo $post->post_title; ?> </strong><span
                            class="shop_page_type">(<?php echo $page_types[ $resource ]; ?>)</span><span
                            class="open_display_settings"><i
                                class="fa fa-caret-down"></i><?php echo ucfirst( $post->post_type ); ?></span>
                    </div>
                    <div class="post-item-settings" id="post-item-settings-<?php echo $post->ID; ?>">
                        <ul>
                            <li>
                                <label>
                                    <strong><?php _e( 'Show', 'shop_ct' ); ?></strong>
                                    <select class="display_settings_show">
                                        <?php foreach ($page_types as $type_key=>$type_name): ?>
                                            <option value="<?=$type_key; ?>" <?php selected( $resource, $type_key, true ); ?> ><?=$type_name; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </label>
                            </li>
                            <li class="shop_ct_all__list">
                                <div class="shop_all_products" <?php echo $resource == "single_product" ? "style='display:block'" : "style='display:none'"; ?>>
                                    <strong><?php _e( 'Choose Product', 'shop_ct' ) ?></strong>
                                    <select class="display_settings_single_product">
                                        <?php

                                        $products = Shop_CT_Product::all();

                                        foreach ( $products as $product ) {
                                            echo "<option " . selected( $object, $product->get_id(), false ) . " value='".$product->get_id()."'>" . $product->get_title() . "</option>";
                                        };

                                        ?>
                                    </select>
                                </div>
                                <div class="shop_all_categories" <?php echo $resource == "single_category" ? "style='display:block'" : "style='display:none'"; ?>>
                                    <strong><?php _e( 'Choose Category', 'shop_ct' ) ?></strong>
                                    <?php

                                    $args = array(
                                        'hide_empty'   => 0,
                                        'hierarchical' => 1,
                                        'show_count'   => 0,
                                        'orderby'      => 'name',
                                        'taxonomy'     => Shop_CT_Product_Category::get_taxonomy(),
                                        'class'        => 'display_settings_single_category',
                                        'selected'     => $object,
                                    );
                                    wp_dropdown_categories( $args );

                                    ?>
                                </div>
                            </li>
                            <li>
                                <a href="#" class="delete_shop_page"><?php _e( 'Remove', 'shop_ct' ) ?></a> | <a
                                    href="<?php echo get_post_permalink( $post->ID ); ?>"
                                    target="_blank"
                                    class="view_shop_page"><?php _e( 'View', 'shop_ct' ) ?></a>
                            </li>
                        </ul>
                    </div>
                </li>
                <?php
            }
            ?>
        </ul>
    </div>
    <div class="display_settings_save_divs">
        <input type="submit" name="save_menu" class="button button-primary display_settings_save"
               value="<?php _e( 'Save Settings', 'shop_ct' ); ?>">
    </div>
</div>