<?php
/**
 * @var $post
 */
?>
<li class="shop-post-<?php echo $post->ID; ?> post_settings_li">
    <div class="post_item_titles">
        <strong><?php echo $post->post_name; ?> </strong><span
            class="shop_page_type">(<?php _e( "All Products", "shop_ct" ) ?>)</span><span
            class="open_display_settings"><i
                class="fa fa-caret-down"></i><?php echo ucfirst( $post->post_type ); ?></span>
    </div>
    <div class="post-item-settings" id="post-item-settings-<?php echo $post->ID; ?>">
        <ul>
            <li>
                <label>
                    <strong>Show</strong>
                    <select class="display_settings_show">
                        <option class="single" value="single_product"><?php _e('Single Product', 'shop_ct'); ?></option>
                        <option class="single" value="single_category"><?php _e('Single Category', 'shop_ct'); ?></option>
                        <option value="all_products" selected="selected"><?php _e('All Products', 'shop_ct'); ?></option>
                        <option value="all_categories"><?php _e('All Categories', 'shop_ct'); ?></option>
                    </select>
                </label>
            </li>
            <li class="shop_ct_all__list">
                <div class="shop_all_products" style="display:none;">
                    <strong><?php _e('Choose Product','shop_ct'); ?></strong>
                    <select class="display_settings_single_product">
                        <?php

                        $products = Shop_CT_Product::all();

                        foreach ( $products as $product ) {
                            echo "<option value='".$product->get_id()."'>" . $product->get_title() . "</option>";
                        };

                        ?>
                    </select>
                </div>
                <div class="shop_all_categories" style="display:none;">
                    <strong><?php _e('Choose Category','shop_ct'); ?></strong>
                    <?php

                    $args = array(
                        'hide_empty'   => 0,
                        'hierarchical' => 1,
                        'show_count'   => 0,
                        'orderby'      => 'name',
                        'taxonomy'     => Shop_CT_Product_Category::get_taxonomy(),
                        'class'        => 'display_settings_single_category',
                    );
                    wp_dropdown_categories( $args );

                    ?>
                </div>
            </li>
            <a href="#" class="delete_shop_page">Remove</a> | <a
                href="<?php echo get_post_permalink( $post->ID ); ?>"
                target="_blank"
                class="view_shop_page"><?php _e( 'View', 'shop_ct' ) ?></a>
        </ul>
    </div>
</li>