<?php
/**
 * @var $category Shop_CT_Product_Category
 * @var $category_children Shop_CT_Product_Category[]
 * @var $products Shop_CT_Product[]
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

?>
    <div class="--container shop-ct">
        <?php

        do_action('shop_ct_before_show_product_category');

        if(!SHOP_CT()->isAdvanced() || $GLOBALS['shop_ct_style_settings']->category_show_title === 'yes') {
            echo '<h1>'. __('Product Category: ', 'shop_ct') .$category->get_name().'</h1>';
        }


        if (empty($category_children) && empty($products)) {
            ?>
            <h2 class="--text-center"><?php _e('Nothing found here', 'shop_ct'); ?></h2>
            <?php
        }

        if (!empty($category_children) && !SHOP_CT()->isAdvanced() || $GLOBALS['shop_ct_style_settings']->category_grid_show_subcategories === 'yes') {

           // echo '<h2>' . __("Sub Categories", "shop_ct") . '</h2>';

            Shop_CT_Template_Loader::get_template('frontend/product-category/list.view.php', array('categories' => $category_children));
        }

        if (!empty($products)) {

           // echo '<h2>' . __("Products", "shop_ct") . '</h2>';

            Shop_CT_Template_Loader::get_template('frontend/product/list.view.php', compact('products'));
        }
        ?>

    </div><!-- .--container -->