<?php
/**
 * @var $products Shop_CT_Product[]
 */
?>
<div class="shop_ct_category_products_container">
    <?php if(!empty($products)):
        foreach ($products as $product) : ?>
            <div class="shop_ct_category_products_item">
                <a href="<?php echo $product->get_permalink() ?>">
                    <div class="shop_ct_category_product_img">
                        <img src="<?php echo $product->get_image_url('medium'); ?>">
                    </div>
                    <div class="shop_ct_category_product_info">
                        <h3><?php echo $product->get_title(); ?></h3>
                        <span>
			                    <?php if ($product->is_on_sale()) : ?>
                                    <del class="shop_ct_category_product_regular_price"><?php echo Shop_CT_Formatting::format_price($product->get_regular_price()); ?></del>
                                    <ins class="shop_ct_category_product_sale_price"><?php echo Shop_CT_Formatting::format_price($product->get_sale_price()); ?></ins>
                                <?php else : ?>
                                    <span class="shop_ct_category_product_regular_price"><?php echo Shop_CT_Formatting::format_price($product->get_regular_price()); ?></span>
                                <?php endif; ?>
		                    </span>
                    </div>
                </a>
                <div class="shop-ct-product-cart-actions">
                    <form class="shop-ct-product-cart-update" method="get" action="<?php $_SERVER['PHP_SELF']; ?>" >
                        <button class="shop-ct-button shop-ct-add-to-cart" data-product-id="<?php echo $product->get_id(); ?>">
                            <i class="fa fa-cart-plus" aria-hidden="true"></i>
                            <span class="shop-ct-spinner">
                                        <span class="shop-ct-bounce1"></span><span class="shop-ct-bounce2"></span><span class="shop-ct-bounce3"></span>
                                    </span>
                        </button><input type="number" name="shop-ct-add-to-cart-count" value="1" min="1" title="<?php _e('Product Count','shop_ct'); ?>"  />
                    </form>
                </div>

            </div>
        <?php endforeach;
    endif; ?>
    <?php the_posts_pagination( array() ); ?>
</div><!-- .shop_ct_category_products_container -->